Update the default AI Deliverability Agent settings
curl --request PATCH \
--url https://api.instantly.ai/api/v2/ai-agents/deliverability/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"slack": {
"connection_id": "01a1f0d3-6480-7ffa-9882-709300a7ae65",
"enabled": true
}
}
'import requests
url = "https://api.instantly.ai/api/v2/ai-agents/deliverability/settings"
payload = { "slack": {
"connection_id": "01a1f0d3-6480-7ffa-9882-709300a7ae65",
"enabled": True
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({slack: {connection_id: '01a1f0d3-6480-7ffa-9882-709300a7ae65', enabled: true}})
};
fetch('https://api.instantly.ai/api/v2/ai-agents/deliverability/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.patch("https://api.instantly.ai/api/v2/ai-agents/deliverability/settings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"slack\": {\n \"connection_id\": \"01a1f0d3-6480-7ffa-9882-709300a7ae65\",\n \"enabled\": true\n }\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/ai-agents/deliverability/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'slack' => [
'connection_id' => '01a1f0d3-6480-7ffa-9882-709300a7ae65',
'enabled' => true
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/ai-agents/deliverability/settings"
payload := strings.NewReader("{\n \"slack\": {\n \"connection_id\": \"01a1f0d3-6480-7ffa-9882-709300a7ae65\",\n \"enabled\": true\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"agent": {
"id": "01a1f0d3-6481-7d60-bf8d-2b4ce4093095",
"organization_id": "01a1f0d3-6481-7d60-bf8d-2b4d29a462cf",
"name": "Deliverability Agent",
"payload": {
"integrations": {
"slack": null
}
},
"type": 3,
"timestamp_created": "2026-11-18T22:42:28.097Z",
"timestamp_updated": "2026-11-18T22:42:28.097Z",
"status": 1
}
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}AI Deliverability Agent
Update the default AI Deliverability Agent settings
Update Slack notification settings for the workspace default AI Deliverability Agent. Set slack to null to disconnect Slack notifications.
Requires one of the following scopes: ai_agents:update, ai_agents:all, all:update, all:all
PATCH
/
api
/
v2
/
ai-agents
/
deliverability
/
settings
Update the default AI Deliverability Agent settings
curl --request PATCH \
--url https://api.instantly.ai/api/v2/ai-agents/deliverability/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"slack": {
"connection_id": "01a1f0d3-6480-7ffa-9882-709300a7ae65",
"enabled": true
}
}
'import requests
url = "https://api.instantly.ai/api/v2/ai-agents/deliverability/settings"
payload = { "slack": {
"connection_id": "01a1f0d3-6480-7ffa-9882-709300a7ae65",
"enabled": True
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({slack: {connection_id: '01a1f0d3-6480-7ffa-9882-709300a7ae65', enabled: true}})
};
fetch('https://api.instantly.ai/api/v2/ai-agents/deliverability/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.patch("https://api.instantly.ai/api/v2/ai-agents/deliverability/settings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"slack\": {\n \"connection_id\": \"01a1f0d3-6480-7ffa-9882-709300a7ae65\",\n \"enabled\": true\n }\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/ai-agents/deliverability/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'slack' => [
'connection_id' => '01a1f0d3-6480-7ffa-9882-709300a7ae65',
'enabled' => true
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/ai-agents/deliverability/settings"
payload := strings.NewReader("{\n \"slack\": {\n \"connection_id\": \"01a1f0d3-6480-7ffa-9882-709300a7ae65\",\n \"enabled\": true\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"agent": {
"id": "01a1f0d3-6481-7d60-bf8d-2b4ce4093095",
"organization_id": "01a1f0d3-6481-7d60-bf8d-2b4d29a462cf",
"name": "Deliverability Agent",
"payload": {
"integrations": {
"slack": null
}
},
"type": 3,
"timestamp_created": "2026-11-18T22:42:28.097Z",
"timestamp_updated": "2026-11-18T22:42:28.097Z",
"status": 1
}
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Authorizations
Body
application/json